#!/bin/bash

mysqld_pid=$1

# start gathering memory stats
./memory_stats.sh $mysqld_pid &
mem_stats_pid=$!

# Increase allowed tmp table size to 256M
mysql -S ./var/tmp/mysqld.1.sock -e "set global max_heap_table_size=256*1024*1024"
mysql -S ./var/tmp/mysqld.1.sock -e "set global tmp_table_size=256*1024*1024"

# Execute implicit temp table queries
./memory_usage_queries.sh

sleep 5

echo "" >> memory_usage.log
echo "-- Executing FLUSH TABLES NOW" >> memory_usage.log
mysql -S ./var/tmp/mysqld.1.sock -e "FLUSH TABLES"

sleep 5

# stop gathering memory stats
kill $mem_stats_pid
